/*
* Carrega de dades en taules mitjançant insert
* S'ha d'executar connectat com a monitor/monitor1606
*/

spool 50_InsertTaules.log;

-- Taula CLIENT
ALTER TRIGGER TR_BI_CLIENT DISABLE;
INSERT INTO CLIENT (ID_CLIENT,DATA_ALTA,TIPUS_PERSONA,NOM,PRIMER_COGNOM,SEGON_COGNOM,TIPUS_DOCUMENT,CODI_DOCUMENT,TELEFON_FIX,TELEFON_MOBIL,EMAIL) 
VALUES (1, '09/04/2016','F','Client','1','Proves','N','11222333A','933334455','666778899','client1@gmail.com');
INSERT INTO CLIENT (ID_CLIENT,DATA_ALTA,TIPUS_PERSONA,NOM,PRIMER_COGNOM,SEGON_COGNOM,TIPUS_DOCUMENT,CODI_DOCUMENT,TELEFON_FIX,TELEFON_MOBIL,EMAIL) 
VALUES (2, '09/04/2016','F','Client','2','Proves','N','11222334A','933334456','666778900','client21@gmail.com');
INSERT INTO CLIENT (ID_CLIENT,DATA_ALTA,TIPUS_PERSONA,NOM,PRIMER_COGNOM,SEGON_COGNOM,TIPUS_DOCUMENT,CODI_DOCUMENT,TELEFON_FIX,TELEFON_MOBIL,EMAIL) 
VALUES (3, '09/04/2016','F','Client','3','Proves','N','11222335A','933334457','666778901','client3@gmail.com');
ALTER TRIGGER TR_BI_CLIENT ENABLE;

commit;

-- Taula SERVEI_WEB
ALTER TRIGGER TR_BI_SERVEI_WEB DISABLE;
INSERT INTO SERVEI_WEB (ID_SERVEI_WEB,CLIENT,DESCRIPCIO,DATA_ALTA,TIPUS_SERVEI,URL,ESTAT,DATA_ESTAT) 
VALUES (1,1,'SERVEI WEB 1','09/04/2016','H','http://www.uoc.edu','A',TO_DATE('09/04/2016 21:01:01', 'DD/MM/YYYY HH24:MI:SS'));
INSERT INTO SERVEI_WEB (ID_SERVEI_WEB,CLIENT,DESCRIPCIO,DATA_ALTA,TIPUS_SERVEI,URL,ESTAT,DATA_ESTAT) 
VALUES (2,2,'SERVEI WEB 2','09/04/2016','S','https://www.paypal.com/wsdl/PayPalSvc.wsdl','A',TO_DATE('09/04/2016 21:01:01', 'DD/MM/YYYY HH24:MI:SS'));
INSERT INTO SERVEI_WEB (ID_SERVEI_WEB,CLIENT,DESCRIPCIO,DATA_ALTA,TIPUS_SERVEI,URL,ESTAT,DATA_ESTAT) 
VALUES (3,3,'SERVEI WEB 3','09/04/2016','R','https://www.googleapis.com/customsearch/v1?parameters','A',TO_DATE('09/04/2016 21:01:01', 'DD/MM/YYYY HH24:MI:SS'));
ALTER TRIGGER TR_BI_SERVEI_WEB ENABLE;

commit;

-- Taula HIST_ESTAT_SERVEI_WEB
INSERT INTO HIST_ESTAT_SERVEI_WEB (SERVEI_WEB,DATA_INICI,DATA_FI,ESTAT) 
VALUES (1,TO_DATE('08/04/2016 06:01:01', 'DD/MM/YYYY HH24:MI:SS'),TO_DATE('08/04/2016 08:30:25', 'DD/MM/YYYY HH24:MI:SS'),'A');
INSERT INTO HIST_ESTAT_SERVEI_WEB (SERVEI_WEB,DATA_INICI,DATA_FI,ESTAT) 
VALUES (1,TO_DATE('08/04/2016 08:30:25', 'DD/MM/YYYY HH24:MI:SS'),TO_DATE('09/04/2016 20:01:01', 'DD/MM/YYYY HH24:MI:SS'),'D');

commit;

-- Taula REGLA
ALTER TRIGGER TR_BI_REGLA DISABLE;
INSERT INTO REGLA (ID_REGLA,DATA_ALTA,SERVEI_WEB,NOM,PERIODICITAT,ESTAT,DATA_ESTAT) 
VALUES (1,'09/04/2016',1,'REGLA 1 SERVEI WEB 1',3600,'A',TO_DATE('09/04/2016 21:01:01', 'DD/MM/YYYY HH24:MI:SS'));
INSERT INTO REGLA (ID_REGLA,DATA_ALTA,SERVEI_WEB,NOM,PERIODICITAT,ESTAT,DATA_ESTAT) 
VALUES (2,'09/04/2016',2,'REGLA 1 SERVEI WEB 2',3600,'A',TO_DATE('09/04/2016 21:01:01', 'DD/MM/YYYY HH24:MI:SS'));
INSERT INTO REGLA (ID_REGLA,DATA_ALTA,SERVEI_WEB,NOM,PERIODICITAT,ESTAT,DATA_ESTAT) 
VALUES (3,'09/04/2016',3,'REGLA 1 SERVEI WEB 3',3600,'A',TO_DATE('09/04/2016 21:01:01', 'DD/MM/YYYY HH24:MI:SS'));
ALTER TRIGGER TR_BI_REGLA ENABLE;

commit;

-- Taula HIST_ESTAT_REGLA
INSERT INTO HIST_ESTAT_REGLA (REGLA,DATA_INICI,DATA_FI,ESTAT) 
VALUES (1,TO_DATE('08/04/2016 06:01:01', 'DD/MM/YYYY HH24:MI:SS'),TO_DATE('08/04/2016 08:30:25', 'DD/MM/YYYY HH24:MI:SS'),'A');
INSERT INTO HIST_ESTAT_REGLA (REGLA,DATA_INICI,DATA_FI,ESTAT) 
VALUES (1,TO_DATE('08/04/2016 08:30:25', 'DD/MM/YYYY HH24:MI:SS'),TO_DATE('09/04/2016 20:01:01', 'DD/MM/YYYY HH24:MI:SS'),'D');

commit;

-- Taula PAS
ALTER TRIGGER TR_BI_PAS DISABLE;
INSERT INTO PAS (ID_PAS,REGLA,ORDRE,DATA_ALTA,DESCRIPCIO,URL_SERVEI,TEMPS_MAXIM,PETICIO_SERVEI,RESPOSTA_ESPERADA,ESTAT,DATA_ESTAT) 
VALUES (1,1,1,'09/04/2016','PAS 1 REGLA 1','http://www.uoc.edu',60,'PETICIO SERVEI','RESPOSTA ESPERADA','A',TO_DATE('09/04/2016 21:01:01', 'DD/MM/YYYY HH24:MI:SS'));
INSERT INTO PAS (ID_PAS,REGLA,ORDRE,DATA_ALTA,DESCRIPCIO,URL_SERVEI,TEMPS_MAXIM,PETICIO_SERVEI,RESPOSTA_ESPERADA,ESTAT,DATA_ESTAT) 
VALUES (2,1,2,'09/04/2016','PAS 1 REGLA 1','http://www.uoc.edu',60,'PETICIO SERVEI','RESPOSTA ESPERADA','A',TO_DATE('09/04/2016 21:01:02', 'DD/MM/YYYY HH24:MI:SS'));
INSERT INTO PAS (ID_PAS,REGLA,ORDRE,DATA_ALTA,DESCRIPCIO,URL_SERVEI,TEMPS_MAXIM,PETICIO_SERVEI,RESPOSTA_ESPERADA,ESTAT,DATA_ESTAT) 
VALUES (3,2,1,'09/04/2016','PAS 1 REGLA 2','http://www.uoc.edu',60,'PETICIO SERVEI','RESPOSTA ESPERADA','A',TO_DATE('09/04/2016 21:01:02', 'DD/MM/YYYY HH24:MI:SS'));
ALTER TRIGGER TR_BI_PAS ENABLE;

commit;

-- Taula HIST_ESTAT_PAS
INSERT INTO HIST_ESTAT_PAS (PAS,DATA_INICI,DATA_FI,ESTAT) 
VALUES (1,TO_DATE('08/04/2016 06:01:01', 'DD/MM/YYYY HH24:MI:SS'),TO_DATE('08/04/2016 08:30:25', 'DD/MM/YYYY HH24:MI:SS'),'A');
INSERT INTO HIST_ESTAT_PAS (PAS,DATA_INICI,DATA_FI,ESTAT) 
VALUES (1,TO_DATE('08/04/2016 08:30:25', 'DD/MM/YYYY HH24:MI:SS'),TO_DATE('09/04/2016 20:01:01', 'DD/MM/YYYY HH24:MI:SS'),'D');

commit;

-- Taula REGISTRE
ALTER TRIGGER TR_BI_REGISTRE DISABLE;
INSERT INTO REGISTRE (ID_REGISTRE,SERVEI_WEB,REGLA,DATA_INICI,DATA_FI,TEMPS_RESPOSTA_TOT,ULTIM_PAS,IND_DISPONIBLE,CODI_ERROR) 
VALUES (1,1,1,TO_DATE('09/04/2016 21:01:01', 'DD/MM/YYYY HH24:MI:SS'),TO_DATE('09/04/2016 21:01:55', 'DD/MM/YYYY HH24:MI:SS'),54,1,'S', NULL);
INSERT INTO REGISTRE (ID_REGISTRE,SERVEI_WEB,REGLA,DATA_INICI,DATA_FI,TEMPS_RESPOSTA_TOT,ULTIM_PAS,IND_DISPONIBLE,CODI_ERROR) 
VALUES (2,1,2,TO_DATE('09/04/2016 21:01:56', 'DD/MM/YYYY HH24:MI:SS'),TO_DATE('09/04/2016 21:02:10', 'DD/MM/YYYY HH24:MI:SS'),14,1,'S', NULL);
ALTER TRIGGER TR_BI_REGISTRE ENABLE;

commit;

-- Taula LINIA_REGISTRE
INSERT INTO LINIA_REGISTRE (REGISTRE,PAS,DATA_INICI,DATA_FI,TEMPS_RESPOSTA,IND_DISPONIBLE,CODI_ERROR) 
VALUES (1,1,TO_DATE('09/04/2016 21:01:01', 'DD/MM/YYYY HH24:MI:SS'),TO_DATE('09/04/2016 21:01:55', 'DD/MM/YYYY HH24:MI:SS'),54,'S', NULL);
INSERT INTO LINIA_REGISTRE (REGISTRE,PAS,DATA_INICI,DATA_FI,TEMPS_RESPOSTA,IND_DISPONIBLE,CODI_ERROR) 
VALUES (2,1,TO_DATE('09/04/2016 21:01:56', 'DD/MM/YYYY HH24:MI:SS'),TO_DATE('09/04/2016 21:02:10', 'DD/MM/YYYY HH24:MI:SS'),14,'S', NULL);

commit;

-- Taula DISPONIBILITAT_MES
INSERT INTO DISPONIBILITAT_MES (ANYO,MES,DATA_CALCUL,SERVEI_WEB,REGLA,REGISTRES_TOT,REGISTRES_DISP,REGISTRES_NO_DISP,PERCENTATGE_DISP,TEMPS_EXECUCIO_TOT,TEMPS_EXECUCIO_DISP,TEMPS_EXECUCIO_MIG_DISP) 
VALUES (2016,6,TO_DATE('09/04/2016 21:01:01', 'DD/MM/YYYY HH24:MI:SS'),1,1, 10,5,4,80,10000,5000,1250);

commit;

-- Taula DISPONIBILITAT_DIA
INSERT INTO DISPONIBILITAT_DIA (ANYO,MES,DIA,DATA_CALCUL,REGISTRES_TOT,REGISTRES_DISP,REGISTRES_NO_DISP,PERCENTATGE_DISP) 
VALUES (2016,4,9,TO_DATE('09/04/2016 21:01:01', 'DD/MM/YYYY HH24:MI:SS'),2,1,1,50);

commit;

-- Taula DW_DISP_SERVEI_TRAM
INSERT INTO DW_DISP_SERVEI_TRAM (ANYO,MES,DATA_CALCUL,IND_TRAM,NOMBRE_SERVEIS) 
VALUES (2016,4,TO_DATE('09/04/2016 21:01:01', 'DD/MM/YYYY HH24:MI:SS'),'1',5);
INSERT INTO DW_DISP_SERVEI_TRAM (ANYO,MES,DATA_CALCUL,IND_TRAM,NOMBRE_SERVEIS) 
VALUES (2016,4,TO_DATE('09/04/2016 21:01:01', 'DD/MM/YYYY HH24:MI:SS'),'2',25);

commit;

-- Taula DW_RESULTAT_DISP
INSERT INTO DW_RESULTAT_DISP (ANYO,MES,DATA_CALCUL,IND_DISPONIBLE,CODI_ERROR, NOMBRE_REGISTRES) 
VALUES (2016,4,TO_DATE('09/04/2016 21:01:01', 'DD/MM/YYYY HH24:MI:SS'),'S',NULL,5);

commit;

-- Taula DW_CLIENT_MENYS_DISP
INSERT INTO DW_CLIENT_MENYS_DISP (ANYO,MES,DATA_CALCUL,CLIENT,PERCENTATGE_DISP) 
VALUES (2016,4,TO_DATE('09/04/2016 21:01:01', 'DD/MM/YYYY HH24:MI:SS'),1,46.32);

commit;

-- Taula DW_DIA_MENYS_DISP
INSERT INTO DW_DIA_MENYS_DISP (ANYO,MES,DIA,DATA_CALCUL,PERCENTATGE_DISP) 
VALUES (2016,4,9,TO_DATE('09/04/2016 21:01:01', 'DD/MM/YYYY HH24:MI:SS'),46.32);

commit;

-- Taula DW_REGLA_MES_TEMPS
INSERT INTO DW_REGLA_MES_TEMPS (ANYO,MES,DATA_CALCUL,REGLA,TEMPS_MIG) 
VALUES (2016,4,TO_DATE('09/04/2016 21:01:01', 'DD/MM/YYYY HH24:MI:SS'),1,1136);

commit;

-- Taula LOG
INSERT INTO LOG (ID_LOG,DATA_HORA,NOM_PROCEDIMENT,PARAM_ENTRADA,PARAM_SORTIDA) 
VALUES ('425',to_date('09/05/16 14:50:04','DD/MM/RR HH24:MI:SS'),'PKG_REGISTRE.SP_ALTA_REGISTRE','P_SERVEI_WEB 1, P_REGLA: 1, P_DATA_INICI: 09/05/16 00:00:00, P_DATA_FI: , P_TEMPS_RESPOSTA_TOT: 1, P_ULTIM_PAS: 1, P_IND_DISPONIBLE: , P_CODI_ERROR: ','RSP: ERROR: El camp P_IND_DISPONIBLE no pot ser nul');
INSERT INTO LOG (ID_LOG,DATA_HORA,NOM_PROCEDIMENT,PARAM_ENTRADA,PARAM_SORTIDA) 
VALUES ('426',to_date('09/05/16 14:54:16','DD/MM/RR HH24:MI:SS'),'PKG_REGISTRE.SP_ALTA_REGISTRE','P_SERVEI_WEB 1, P_REGLA: 1, P_DATA_INICI: 09/05/16 00:00:00, P_DATA_FI: , P_TEMPS_RESPOSTA_TOT: 1, P_ULTIM_PAS: 1, P_IND_DISPONIBLE: E, P_CODI_ERROR: ','RSP: ERROR -1400: ORA-01400: cannot insert NULL into ("MONITOR"."REGISTRE"."ID_REGISTRE")');
INSERT INTO LOG (ID_LOG,DATA_HORA,NOM_PROCEDIMENT,PARAM_ENTRADA,PARAM_SORTIDA) 
VALUES ('427',to_date('09/05/16 14:57:16','DD/MM/RR HH24:MI:SS'),'PKG_REGISTRE.SP_ALTA_REGISTRE','P_SERVEI_WEB 1, P_REGLA: 1, P_DATA_INICI: 09/05/16 00:00:00, P_DATA_FI: , P_TEMPS_RESPOSTA_TOT: 1, P_ULTIM_PAS: 1, P_IND_DISPONIBLE: E, P_CODI_ERROR: ','RSP: OK');

commit;



spool off;
