/*
* Carrega de dades mitjanant els procediments d'AMB
* S'ha d'executar connectat com a monitor/monitor1606
*/

SET SERVEROUTPUT ON;
spool 100_CarregaDades.log;

set echo on

/*****************************************************************************************
 																CARREGA DE DADES         
*****************************************************************************************/

--------------------------------------------------------------------------------------------
-- Taula CLIENT
--------------------------------------------------------------------------------------------

--ALTER TRIGGER TR_BI_CLIENT DISABLE;
INSERT INTO CLIENT (ID_CLIENT,DATA_ALTA,TIPUS_PERSONA,NOM,PRIMER_COGNOM,SEGON_COGNOM,TIPUS_DOCUMENT,CODI_DOCUMENT,TELEFON_FIX,TELEFON_MOBIL,EMAIL) 
VALUES (1, '01/05/2016','F','Client','1','Proves','N','11222333A','933334455','666778899','client1@gmail.com');
INSERT INTO CLIENT (ID_CLIENT,DATA_ALTA,TIPUS_PERSONA,NOM,PRIMER_COGNOM,SEGON_COGNOM,TIPUS_DOCUMENT,CODI_DOCUMENT,TELEFON_FIX,TELEFON_MOBIL,EMAIL) 
VALUES (2, '01/05/2016','F','Client','2','Proves','N','11222334A','933334456','666778900','client2@gmail.com');
INSERT INTO CLIENT (ID_CLIENT,DATA_ALTA,TIPUS_PERSONA,NOM,PRIMER_COGNOM,SEGON_COGNOM,TIPUS_DOCUMENT,CODI_DOCUMENT,TELEFON_FIX,TELEFON_MOBIL,EMAIL) 
VALUES (3, '01/05/2016','F','Client','3','Proves','N','11222335A','933334457','666778901','client3@gmail.com');
INSERT INTO CLIENT (ID_CLIENT,DATA_ALTA,TIPUS_PERSONA,NOM,PRIMER_COGNOM,SEGON_COGNOM,TIPUS_DOCUMENT,CODI_DOCUMENT,TELEFON_FIX,TELEFON_MOBIL,EMAIL) 
VALUES (4, '01/05/2016','F','Client','4','Proves','N','11222336A','933334458','666778902','client4@gmail.com');
INSERT INTO CLIENT (ID_CLIENT,DATA_ALTA,TIPUS_PERSONA,NOM,PRIMER_COGNOM,SEGON_COGNOM,TIPUS_DOCUMENT,CODI_DOCUMENT,TELEFON_FIX,TELEFON_MOBIL,EMAIL) 
VALUES (5, '01/05/2016','F','Client','5','Proves','N','11222337A','933334459','666778903','client5@gmail.com');
--ALTER TRIGGER TR_BI_CLIENT ENABLE;

commit;

--------------------------------------------------------------------------------------------
-- Taula SERVEI_WEB
--------------------------------------------------------------------------------------------

DECLARE
   RSP 			VARCHAR2(20000);
BEGIN

   --ALTA CORRECTA D'UN NOU SERVEI WEB
   DBMS_OUTPUT.PUT_LINE('ALTA DE SERVEIS WEB MITJANANT EL PKG_SERVEI_WEB: ');  
   PKG_SERVEI_WEB.SP_ALTA_SERVEI_WEB(1, 'DESCRIPCIO SERVEI WEB 1', TO_DATE('31/12/2015 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 'H', 'https://www.servei_web_1.edu/', 'A', TO_DATE('31/12/2015 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);  
   PKG_SERVEI_WEB.SP_ALTA_SERVEI_WEB(1, 'DESCRIPCIO SERVEI WEB 2', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 'H', 'https://www.servei_web_2.edu/', 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);  
   PKG_SERVEI_WEB.SP_ALTA_SERVEI_WEB(2, 'DESCRIPCIO SERVEI WEB 3', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 'H', 'https://www.servei_web_3.edu/', 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);  
   PKG_SERVEI_WEB.SP_ALTA_SERVEI_WEB(2, 'DESCRIPCIO SERVEI WEB 4', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 'H', 'https://www.servei_web_4.edu/', 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);  
   PKG_SERVEI_WEB.SP_ALTA_SERVEI_WEB(3, 'DESCRIPCIO SERVEI WEB 5', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 'H', 'https://www.servei_web_5.edu/', 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);  
   PKG_SERVEI_WEB.SP_ALTA_SERVEI_WEB(3, 'DESCRIPCIO SERVEI WEB 6', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 'H', 'https://www.servei_web_6.edu/', 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);  
   PKG_SERVEI_WEB.SP_ALTA_SERVEI_WEB(4, 'DESCRIPCIO SERVEI WEB 7', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 'H', 'https://www.servei_web_7.edu/', 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);  
   PKG_SERVEI_WEB.SP_ALTA_SERVEI_WEB(4, 'DESCRIPCIO SERVEI WEB 8', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 'H', 'https://www.servei_web_8.edu/', 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);  
   PKG_SERVEI_WEB.SP_ALTA_SERVEI_WEB(5, 'DESCRIPCIO SERVEI WEB 9', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 'H', 'https://www.servei_web_9.edu/', 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);  
   PKG_SERVEI_WEB.SP_ALTA_SERVEI_WEB(5, 'DESCRIPCIO SERVEI WEB 10', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 'H', 'https://www.servei_web_10.edu/', 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);  
   
   --MODIFICACIO CORRECTA D'UN SERVEI WEB (CANVIS D'ESTAT).
   DBMS_OUTPUT.PUT_LINE('CANVIS DESTAT DE SERVEI WEB MITJANANT EL PKG_SERVEI_WEB: ');  
   PKG_SERVEI_WEB.SP_MODIFICA_SERVEI_WEB(10, 5, 'DESCRIPCIO SERVEI WEB 10', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 'H', 'https://www.servei_web_10.edu/', 'D', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_SERVEI_WEB.SP_MODIFICA_SERVEI_WEB(10, 5, 'DESCRIPCIO SERVEI WEB 10', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 'H', 'https://www.servei_web_10.edu/', 'A', TO_DATE('01/05/2016 10:40:50', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);     
   
END;
/

--------------------------------------------------------------------------------------------
-- Taula REGLA
--------------------------------------------------------------------------------------------

DECLARE
   RSP 			VARCHAR2(20000);
BEGIN

   --ALTA CORRECTA D'UNA NOVA REGLA
   DBMS_OUTPUT.PUT_LINE('ALTA DE REGLES MITJANANT EL PKG_REGLA: ');  
   PKG_REGLA.SP_ALTA_REGLA(TO_DATE('31/12/2015 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 1, 'REGLA 1 SERVEI WEB 1', 86400, 'A', TO_DATE('31/12/2015 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_REGLA.SP_ALTA_REGLA(TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 2, 'REGLA 1 SERVEI WEB 2', 86400, 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_REGLA.SP_ALTA_REGLA(TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 3, 'REGLA 1 SERVEI WEB 3', 86400, 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_REGLA.SP_ALTA_REGLA(TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 4, 'REGLA 1 SERVEI WEB 4', 86400, 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_REGLA.SP_ALTA_REGLA(TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 5, 'REGLA 1 SERVEI WEB 5', 86400, 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_REGLA.SP_ALTA_REGLA(TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 6, 'REGLA 1 SERVEI WEB 6', 86400, 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_REGLA.SP_ALTA_REGLA(TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 7, 'REGLA 1 SERVEI WEB 7', 86400, 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_REGLA.SP_ALTA_REGLA(TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 8, 'REGLA 1 SERVEI WEB 8', 86400, 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_REGLA.SP_ALTA_REGLA(TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 9, 'REGLA 1 SERVEI WEB 9', 86400, 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_REGLA.SP_ALTA_REGLA(TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 10, 'REGLA 1 SERVEI WEB 10', 86400, 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   
   --MODIFICACIO CORRECTA D'UNA REGLA (CANVIS D'ESTAT).
   DBMS_OUTPUT.PUT_LINE('CANVIS DESTAT DE REGLA MITJANANT EL PKG_REGLA: ');  
   PKG_REGLA.SP_MODIFICA_REGLA(10, TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 10, 'REGLA 1 SERVEI WEB 10', 86400, 'D', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);   
   PKG_REGLA.SP_MODIFICA_REGLA(10, TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 10, 'REGLA 1 SERVEI WEB 10', 86400, 'A', TO_DATE('01/05/2016 10:40:50', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);   
   
END;
/   

--------------------------------------------------------------------------------------------
-- Taula PAS
--------------------------------------------------------------------------------------------

DECLARE
   RSP 			VARCHAR2(20000);
BEGIN
   --ALTA CORRECTA D'UN NOU PAS
   DBMS_OUTPUT.PUT_LINE('ALTA DE PASSOS MITJANANT EL PKG_PAS: ');  
   PKG_PAS.SP_ALTA_PAS(1, 1, TO_DATE('31/12/2015 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 1 REGLA 1', 'https://www.ws_1.edu/p1 r1', 6, 'https://www.ws_1.edu/peticio p1 r1', 'resp p1 r1', 'A', TO_DATE('31/12/2015 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_ALTA_PAS(1, 2, TO_DATE('31/12/2015 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 2 REGLA 1', 'https://www.ws_1.edu/p2 r1', 6, 'https://www.ws_1.edu/peticio p2 r1', 'resp p2 r1', 'A', TO_DATE('31/12/2015 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_ALTA_PAS(2, 1, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 1 REGLA 2', 'https://www.ws_1.edu/p1 r2', 6, 'https://www.ws_1.edu/peticio p1 r2', 'resp p1 r2', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_ALTA_PAS(2, 2, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 2 REGLA 2', 'https://www.ws_1.edu/p2 r2', 6, 'https://www.ws_1.edu/peticio p2 r2', 'resp p2 r2', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_ALTA_PAS(3, 1, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 1 REGLA 3', 'https://www.ws_1.edu/p1 r3', 6, 'https://www.ws_1.edu/peticio p1 r3', 'resp p1 r3', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_ALTA_PAS(3, 2, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 2 REGLA 3', 'https://www.ws_1.edu/p2 r3', 6, 'https://www.ws_1.edu/peticio p2 r3', 'resp p2 r3', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_ALTA_PAS(4, 1, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 1 REGLA 4', 'https://www.ws_1.edu/p1 r4', 6, 'https://www.ws_1.edu/peticio p1 r4', 'resp p1 r4', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_ALTA_PAS(4, 2, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 2 REGLA 4', 'https://www.ws_1.edu/p2 r4', 6, 'https://www.ws_1.edu/peticio p2 r4', 'resp p2 r4', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_ALTA_PAS(5, 1, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 1 REGLA 5', 'https://www.ws_1.edu/p1 r5', 6, 'https://www.ws_1.edu/peticio p1 r5', 'resp p1 r5', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_ALTA_PAS(5, 2, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 2 REGLA 5', 'https://www.ws_1.edu/p2 r5', 6, 'https://www.ws_1.edu/peticio p2 r5', 'resp p2 r5', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_ALTA_PAS(6, 1, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 1 REGLA 6', 'https://www.ws_1.edu/p1 r6', 6, 'https://www.ws_1.edu/peticio p1 r6', 'resp p1 r6', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_ALTA_PAS(6, 2, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 2 REGLA 6', 'https://www.ws_1.edu/p2 r6', 6, 'https://www.ws_1.edu/peticio p2 r6', 'resp p2 r6', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_ALTA_PAS(7, 1, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 1 REGLA 7', 'https://www.ws_1.edu/p1 r7', 6, 'https://www.ws_1.edu/peticio p1 r7', 'resp p1 r7', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_ALTA_PAS(7, 2, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 2 REGLA 7', 'https://www.ws_1.edu/p2 r7', 6, 'https://www.ws_1.edu/peticio p2 r7', 'resp p2 r7', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_ALTA_PAS(8, 1, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 1 REGLA 8', 'https://www.ws_1.edu/p1 r8', 6, 'https://www.ws_1.edu/peticio p1 r8', 'resp p1 r8', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_ALTA_PAS(8, 2, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 2 REGLA 8', 'https://www.ws_1.edu/p2 r8', 6, 'https://www.ws_1.edu/peticio p2 r8', 'resp p2 r8', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_ALTA_PAS(9, 1, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 1 REGLA 9', 'https://www.ws_1.edu/p1 r9', 6, 'https://www.ws_1.edu/peticio p1 r9', 'resp p1 r9', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_ALTA_PAS(9, 2, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 2 REGLA 9', 'https://www.ws_1.edu/p2 r9', 6, 'https://www.ws_1.edu/peticio p2 r9', 'resp p2 r9', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_ALTA_PAS(10, 1, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 1 REGLA 10', 'https://www.ws_1.edu/p1 r10', 6, 'https://www.ws_1.edu/peticio p1 r10', 'resp p1 r10', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_ALTA_PAS(10, 2, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 2 REGLA 10', 'https://www.ws_1.edu/p2 r10', 6, 'https://www.ws_1.edu/peticio p2 r10', 'resp p2 r10', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);

   --MODIFICACIO CORRECTA D'UN PAS (CANVIS D'ESTAT).
   DBMS_OUTPUT.PUT_LINE('CANVIS DESTAT DE PAS MITJANANT EL PKG_PAS: ');  
   PKG_PAS.SP_MODIFICA_PAS(20, 10, 2, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 2 REGLA 10', 'https://www.ws_1.edu/p2 r10', 6, 'https://www.ws_1.edu/peticio p2 r10', 'resp p2 r10', 'D', TO_DATE('01/05/2016 10:40:50', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_MODIFICA_PAS(20, 10, 2, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 2 REGLA 10', 'https://www.ws_1.edu/p2 r10', 6, 'https://www.ws_1.edu/peticio p2 r10', 'resp p2 r10', 'A', TO_DATE('01/05/2016 10:50:55', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   
END;
/

--------------------------------------------------------------------------------------------
-- Taula REGISTRE
--------------------------------------------------------------------------------------------

DECLARE
   RSP 			VARCHAR2(20000);
   V_ID_REGISTRE  NUMBER;
BEGIN

   --ALTA CORRECTA D'UN NOU REGISTRE AMB DADES INICIALS.
   DBMS_OUTPUT.PUT_LINE('ALTA DE REGISTRES MITJANANT EL PKG_REGISTRE: ');  
   PKG_REGISTRE.SP_ALTA_REGISTRE(1, 1, TO_DATE('31/12/2015 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), RSP, V_ID_REGISTRE);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP||', ID REGISTRE CREAT: '||V_ID_REGISTRE);
   PKG_REGISTRE.SP_ALTA_REGISTRE(2, 2, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), RSP, V_ID_REGISTRE);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP||', ID REGISTRE CREAT: '||V_ID_REGISTRE);
   PKG_REGISTRE.SP_ALTA_REGISTRE(3, 3, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), RSP, V_ID_REGISTRE);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP||', ID REGISTRE CREAT: '||V_ID_REGISTRE);
   PKG_REGISTRE.SP_ALTA_REGISTRE(4, 4, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), RSP, V_ID_REGISTRE);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP||', ID REGISTRE CREAT: '||V_ID_REGISTRE);
   PKG_REGISTRE.SP_ALTA_REGISTRE(5, 5, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), RSP, V_ID_REGISTRE);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP||', ID REGISTRE CREAT: '||V_ID_REGISTRE);
   PKG_REGISTRE.SP_ALTA_REGISTRE(6, 6, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), RSP, V_ID_REGISTRE);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP||', ID REGISTRE CREAT: '||V_ID_REGISTRE);
   PKG_REGISTRE.SP_ALTA_REGISTRE(7, 7, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), RSP, V_ID_REGISTRE);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP||', ID REGISTRE CREAT: '||V_ID_REGISTRE);
   PKG_REGISTRE.SP_ALTA_REGISTRE(8, 8, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), RSP, V_ID_REGISTRE);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP||', ID REGISTRE CREAT: '||V_ID_REGISTRE);
   PKG_REGISTRE.SP_ALTA_REGISTRE(9, 9, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), RSP, V_ID_REGISTRE);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP||', ID REGISTRE CREAT: '||V_ID_REGISTRE);
   PKG_REGISTRE.SP_ALTA_REGISTRE(10, 10, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), RSP, V_ID_REGISTRE);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP||', ID REGISTRE CREAT: '||V_ID_REGISTRE);
   
   --MODIFICACIO CORRECTA D'UN REGISTRE (FINALITZACIO DE L'ALTA).
   DBMS_OUTPUT.PUT_LINE('MODIFICACI DE REGISTRES MITJANANT EL PKG_REGISTRE (FINALITZACI DE LALTA).: ');  
   PKG_REGISTRE.SP_MODIFICA_REGISTRE(1, TO_DATE('31/12/2015 00:00:31', 'DD/MM/YYYY HH24:MI:SS'), 2, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP); 
   PKG_REGISTRE.SP_MODIFICA_REGISTRE(2, TO_DATE('02/05/2016 00:00:31', 'DD/MM/YYYY HH24:MI:SS'), 4, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP); 
   PKG_REGISTRE.SP_MODIFICA_REGISTRE(3, TO_DATE('02/05/2016 00:00:31', 'DD/MM/YYYY HH24:MI:SS'), 6, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP); 
   PKG_REGISTRE.SP_MODIFICA_REGISTRE(4, TO_DATE('02/05/2016 00:00:31', 'DD/MM/YYYY HH24:MI:SS'), 8, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP); 
   PKG_REGISTRE.SP_MODIFICA_REGISTRE(5, TO_DATE('02/05/2016 00:00:31', 'DD/MM/YYYY HH24:MI:SS'), 10, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP); 
   PKG_REGISTRE.SP_MODIFICA_REGISTRE(6, TO_DATE('02/05/2016 00:00:31', 'DD/MM/YYYY HH24:MI:SS'), 12, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP); 
   PKG_REGISTRE.SP_MODIFICA_REGISTRE(7, TO_DATE('02/05/2016 00:00:31', 'DD/MM/YYYY HH24:MI:SS'), 14, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP); 
   PKG_REGISTRE.SP_MODIFICA_REGISTRE(8, TO_DATE('02/05/2016 00:00:31', 'DD/MM/YYYY HH24:MI:SS'), 16, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);   
   PKG_REGISTRE.SP_MODIFICA_REGISTRE(9, TO_DATE('02/05/2016 00:00:31', 'DD/MM/YYYY HH24:MI:SS'), 18, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);   
   PKG_REGISTRE.SP_MODIFICA_REGISTRE(10, TO_DATE('02/05/2016 00:00:31', 'DD/MM/YYYY HH24:MI:SS'), 20, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);   
  
END;
/

--------------------------------------------------------------------------------------------
-- Taula LINIA_REGISTRE
--------------------------------------------------------------------------------------------

DECLARE
   RSP 			VARCHAR2(20000);
BEGIN

   --ALTA CORRECTA D'UNA NOVA LINIA_REGISTRE
   DBMS_OUTPUT.PUT_LINE('ALTA DE LINIES DE REGISTRE MITJANANT EL PKG_LINIA_REGISTRE: ');  
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(1, 1, TO_DATE('31/12/2015 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), TO_DATE('31/12/2015 00:00:21', 'DD/MM/YYYY HH24:MI:SS'), 20000, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(1, 2, TO_DATE('31/12/2015 00:00:22', 'DD/MM/YYYY HH24:MI:SS'), TO_DATE('31/12/2015 00:00:31', 'DD/MM/YYYY HH24:MI:SS'), 10000, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);   
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(2, 3, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), TO_DATE('02/05/2016 00:00:21', 'DD/MM/YYYY HH24:MI:SS'), 20000, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(2, 4, TO_DATE('02/05/2016 00:00:22', 'DD/MM/YYYY HH24:MI:SS'), TO_DATE('02/05/2016 00:00:31', 'DD/MM/YYYY HH24:MI:SS'), 10000, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);   
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(3, 5, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), TO_DATE('02/05/2016 00:00:21', 'DD/MM/YYYY HH24:MI:SS'), 20000, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(3, 6, TO_DATE('02/05/2016 00:00:22', 'DD/MM/YYYY HH24:MI:SS'), TO_DATE('02/05/2016 00:00:31', 'DD/MM/YYYY HH24:MI:SS'), 10000, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);   
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(4, 7, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), TO_DATE('02/05/2016 00:00:21', 'DD/MM/YYYY HH24:MI:SS'), 20000, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(4, 8, TO_DATE('02/05/2016 00:00:22', 'DD/MM/YYYY HH24:MI:SS'), TO_DATE('02/05/2016 00:00:31', 'DD/MM/YYYY HH24:MI:SS'), 10000, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);   
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(5, 9, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), TO_DATE('02/05/2016 00:00:21', 'DD/MM/YYYY HH24:MI:SS'), 20000, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(5, 10, TO_DATE('02/05/2016 00:00:22', 'DD/MM/YYYY HH24:MI:SS'), TO_DATE('02/05/2016 00:00:31', 'DD/MM/YYYY HH24:MI:SS'), 10000, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);   
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(6, 11, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), TO_DATE('02/05/2016 00:00:21', 'DD/MM/YYYY HH24:MI:SS'), 20000, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(6, 12, TO_DATE('02/05/2016 00:00:22', 'DD/MM/YYYY HH24:MI:SS'), TO_DATE('02/05/2016 00:00:31', 'DD/MM/YYYY HH24:MI:SS'), 10000, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);   
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(7, 13, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), TO_DATE('02/05/2016 00:00:21', 'DD/MM/YYYY HH24:MI:SS'), 20000, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(7, 14, TO_DATE('02/05/2016 00:00:22', 'DD/MM/YYYY HH24:MI:SS'), TO_DATE('02/05/2016 00:00:31', 'DD/MM/YYYY HH24:MI:SS'), 10000, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);   
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(8, 15, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), TO_DATE('02/05/2016 00:00:21', 'DD/MM/YYYY HH24:MI:SS'), 20000, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);   
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(8, 16, TO_DATE('02/05/2016 00:00:22', 'DD/MM/YYYY HH24:MI:SS'), TO_DATE('02/05/2016 00:00:31', 'DD/MM/YYYY HH24:MI:SS'), 10000, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(9, 17, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), TO_DATE('02/05/2016 00:00:21', 'DD/MM/YYYY HH24:MI:SS'), 20000, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);   
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(9, 18, TO_DATE('02/05/2016 00:00:22', 'DD/MM/YYYY HH24:MI:SS'), TO_DATE('02/05/2016 00:00:31', 'DD/MM/YYYY HH24:MI:SS'), 10000, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(10, 19, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), TO_DATE('02/05/2016 00:00:21', 'DD/MM/YYYY HH24:MI:SS'), 20000, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);   
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(10, 20, TO_DATE('02/05/2016 00:00:22', 'DD/MM/YYYY HH24:MI:SS'), TO_DATE('02/05/2016 00:00:31', 'DD/MM/YYYY HH24:MI:SS'), 10000, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
  
END;
/

spool off
exit


