/*
* Proves dels procediments d'AMB
* S'ha d'executar connectat com a monitor/monitor1606
*/

SET SERVEROUTPUT ON;
spool 110_ProvesABM.log;

set echo on

/*****************************************************************************************
 																PROVES ABM         
*****************************************************************************************/

--------------------------------------------------------------------------------------------
-- Taula SERVEI_WEB
--------------------------------------------------------------------------------------------

DECLARE
   RSP 			VARCHAR2(2000);
BEGIN

   --ALTA DUN NOU SERVEI WEB AMB ALGUN PARAMETRE DENTRADA A NUL
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_SERVEI_WEB: ALTA DUN NOU SERVEI WEB AMB ALGUN PARAMETRE DENTRADA A NUL');  
   PKG_SERVEI_WEB.SP_ALTA_SERVEI_WEB(NULL, 'DESCRIPCIO SERVEI WEB 11', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 'H', 'https://www.servei_web_11.edu/', 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_SERVEI_WEB.SP_ALTA_SERVEI_WEB(1, NULL, TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 'H', 'https://www.servei_web_11.edu/', 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);    
   PKG_SERVEI_WEB.SP_ALTA_SERVEI_WEB(1, 'DESCRIPCIO SERVEI WEB 11', NULL, 'H', 'https://www.servei_web_11.edu/', 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP); 
   PKG_SERVEI_WEB.SP_ALTA_SERVEI_WEB(1, 'DESCRIPCIO SERVEI WEB 11', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), NULL, 'https://www.servei_web_11.edu/', 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);    
   PKG_SERVEI_WEB.SP_ALTA_SERVEI_WEB(1, 'DESCRIPCIO SERVEI WEB 11', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 'H', NULL, 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);    
   PKG_SERVEI_WEB.SP_ALTA_SERVEI_WEB(1, 'DESCRIPCIO SERVEI WEB 11', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 'H', 'https://www.servei_web_11.edu/', NULL, TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP); 
   PKG_SERVEI_WEB.SP_ALTA_SERVEI_WEB(1, 'DESCRIPCIO SERVEI WEB 11', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 'H', 'https://www.servei_web_11.edu/', 'A', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP); 
         
   --ALTA DUN SERVEI WEB DUPLICAT
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_SERVEI_WEB: ALTA DUN SERVEI WEB DUPLICAT');  
   PKG_SERVEI_WEB.SP_ALTA_SERVEI_WEB(1, 'DESCRIPCIO SERVEI WEB 1', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 'H', 'https://www.servei_web_12.edu/', 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);  

   --ALTA DUN SERVEI WEB INDICANT UN CLIENT INEXISTENT.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_SERVEI_WEB: ALTA DUN SERVEI WEB INDICANT UN CLIENT INEXISTENT');  
   PKG_SERVEI_WEB.SP_ALTA_SERVEI_WEB(10, 'DESCRIPCIO SERVEI WEB 12', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 'H', 'https://www.servei_web_12.edu/', 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);  

   --ALTA DUN SERVEI WEB INDICANT UN ESTAT NO VALID.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_SERVEI_WEB: ALTA DUN SERVEI WEB INDICANT UN ESTAT NO VALID');  
   PKG_SERVEI_WEB.SP_ALTA_SERVEI_WEB(1, 'DESCRIPCIO SERVEI WEB 12', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 'H', 'https://www.servei_web_12.edu/', 'X', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);  

   --MODIFICACIO DUN SERVEI WEB AMB ALGUN PARAMETRE DENTRADA A NUL
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_SERVEI_WEB: MODIFICACIO DUN SERVEI WEB AMB ALGUN PARAMETRE DENTRADA A NUL');  
   PKG_SERVEI_WEB.SP_MODIFICA_SERVEI_WEB(NULL, 5, 'DESCRIPCIO SERVEI WEB 10', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 'H', 'https://www.servei_web_11.edu/', 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_SERVEI_WEB.SP_MODIFICA_SERVEI_WEB(10, NULL, 'DESCRIPCIO SERVEI WEB 10', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 'H', 'https://www.servei_web_11.edu/', 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);    
   PKG_SERVEI_WEB.SP_MODIFICA_SERVEI_WEB(10, 5, NULL, TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 'H', 'https://www.servei_web_11.edu/', 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);    
   PKG_SERVEI_WEB.SP_MODIFICA_SERVEI_WEB(10, 5, 'DESCRIPCIO SERVEI WEB 10', NULL, 'H', 'https://www.servei_web_11.edu/', 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP); 
   PKG_SERVEI_WEB.SP_MODIFICA_SERVEI_WEB(10, 5, 'DESCRIPCIO SERVEI WEB 10', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), NULL, 'https://www.servei_web_11.edu/', 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);    
   PKG_SERVEI_WEB.SP_MODIFICA_SERVEI_WEB(10, 5, 'DESCRIPCIO SERVEI WEB 10', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 'H', NULL, 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);    
   PKG_SERVEI_WEB.SP_MODIFICA_SERVEI_WEB(10, 5, 'DESCRIPCIO SERVEI WEB 10', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 'H', 'https://www.servei_web_11.edu/', NULL, TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP); 
   PKG_SERVEI_WEB.SP_MODIFICA_SERVEI_WEB(10, 5, 'DESCRIPCIO SERVEI WEB 10', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 'H', 'https://www.servei_web_11.edu/', 'A', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP); 
   
   --MODIFICACIO DUN SERVEI WEB AMB UN IDENFICADOR INEXISTENT.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_SERVEI_WEB: MODIFICACIO DUN SERVEI WEB AMB UN IDENTIFICADOR INEXISTENT');  
   PKG_SERVEI_WEB.SP_MODIFICA_SERVEI_WEB(11, 5, 'DESCRIPCIO SERVEI WEB 10', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 'H', 'https://www.servei_web_11.edu/', 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);

   --MODIFICACIO DUN SERVEI WEB AMB UNA CLAU QUE JA PERTANY A UN ALTRE SERVEI WEB.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_SERVEI_WEB: MODIFICACIO DUN SERVEI WEB AMB UNA CLAU QUE JA PERTANY A UN ALTRE SERVEI WEB');  
   PKG_SERVEI_WEB.SP_MODIFICA_SERVEI_WEB(10, 5, 'DESCRIPCIO SERVEI WEB 9', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 'H', 'https://www.servei_web_11.edu/', 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);

   --MODIFICACIO DUN SERVEI WEB AMB UN CLIENT INEXISTENT.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_SERVEI_WEB: MODIFICACIO DUN SERVEI WEB AMB UN CLIENT INEXISTENT');  
   PKG_SERVEI_WEB.SP_MODIFICA_SERVEI_WEB(10, 6, 'DESCRIPCIO SERVEI WEB 10', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 'H', 'https://www.servei_web_11.edu/', 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);

   --BAIXA DUN SERVEI WEB AMB ALGUN PARAMETRE DENTRADA A NUL.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_SERVEI_WEB: BAIXA DUN SERVEI WEB AMB ALGUN PARAMETRE DENTRADA A NUL');  
   PKG_SERVEI_WEB.SP_BAIXA_SERVEI_WEB(NULL, TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_SERVEI_WEB.SP_BAIXA_SERVEI_WEB(10, NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   
   --BAIXA DUN SERVEI WEB AMB UN IDENFICADOR INEXISTENT.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_SERVEI_WEB: BAIXA DUN SERVEI WEB AMB UN IDENTIFICADOR INEXISTENT');  
   PKG_SERVEI_WEB.SP_BAIXA_SERVEI_WEB(20, TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   
   --BAIXA DUN SERVEI WEB JA DONAT DE BAIXA.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_SERVEI_WEB: BAIXA DUN SERVEI WEB JA DONAT DE BAIXA');  
   
   -- Per poder realitzar la prova, donem de baixa previament el servei web.
   PKG_SERVEI_WEB.SP_MODIFICA_SERVEI_WEB(10, 5, 'DESCRIPCIO SERVEI WEB 10', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 'H', 'https://www.servei_web_10.edu/', 'B', TO_DATE('01/05/2016 10:40:55', 'DD/MM/YYYY HH24:MI:SS'), RSP);

   PKG_SERVEI_WEB.SP_BAIXA_SERVEI_WEB(10, TO_DATE('01/05/2016 10:40:57', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);   

   -- El tornem a deixar en estat actiu.
   PKG_SERVEI_WEB.SP_MODIFICA_SERVEI_WEB(10, 5, 'DESCRIPCIO SERVEI WEB 10', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 'H', 'https://www.servei_web_10.edu/', 'A', TO_DATE('01/05/2016 10:40:59', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   
   --BAIXA CORRECTA DUN SERVEI WEB.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_SERVEI_WEB: BAIXA CORRECTA DUN SERVEI WEB');  
   PKG_SERVEI_WEB.SP_BAIXA_SERVEI_WEB(9, TO_DATE('01/05/2016 10:40:55', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
  
END;
/

--------------------------------------------------------------------------------------------
-- Taula REGLA
--------------------------------------------------------------------------------------------

DECLARE
   RSP 			VARCHAR2(2000);
BEGIN

   --ALTA D'UNA NOVA REGLA AMB ALGUN PARAMETRE D'ENTRADA A NUL
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGLA: ALTA DUNA NOVA REGLA AMB ALGUN PARAMETRE DENTRADA A NUL');  
   PKG_REGLA.SP_ALTA_REGLA(NULL, 1, 'REGLA 2 SERVEI WEB 1', 86400, 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_REGLA.SP_ALTA_REGLA(TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), NULL, 'REGLA 2 SERVEI WEB 1', 86400, 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_REGLA.SP_ALTA_REGLA(TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 1, NULL, 86400, 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_REGLA.SP_ALTA_REGLA(TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 1, 'REGLA 2 SERVEI WEB 1', NULL, 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_REGLA.SP_ALTA_REGLA(TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 1, 'REGLA 2 SERVEI WEB 1', 86400, NULL, TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_REGLA.SP_ALTA_REGLA(TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 1, 'REGLA 2 SERVEI WEB 1', 86400, 'A', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);

   --ALTA D'UNA REGLA DUPLICADA
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGLA: ALTA DUNA REGLA DUPLICADA');  
   PKG_REGLA.SP_ALTA_REGLA(TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 1, 'REGLA 1 SERVEI WEB 1', 86400, 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);   
   
   --ALTA D'UNA REGLA INDICANT UN SERVEI WEB INEXISTENT.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGLA: ALTA DUNA REGLA INDICANT UN SERVEI WEB INEXISTENT');  
   PKG_REGLA.SP_ALTA_REGLA(TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 11, 'REGLA 1 SERVEI WEB 11', 86400, 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);   
   
   --ALTA D'UNA REGLA INDICANT UN ESTAT NO VALID
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGLA: ALTA DUNA REGLA INDICANT UN ESTAT NO VALID');  
   PKG_REGLA.SP_ALTA_REGLA(TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 1, 'REGLA 3 SERVEI WEB 1', 86400, 'N', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);   
  
   -- ALTA D'UNA SEGONA REGLA ACTIVA PEL MATEIX SERVEI WEB (NO HA DE DEIXAR)   
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGLA: ALTA DUNA SEGONA REGLA ACTIVA PEL MATEIX SERVEI WEB (NO HA DE DEIXAR)');  
   PKG_REGLA.SP_ALTA_REGLA(TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 1, 'REGLA 2 SERVEI WEB 1', 86400, 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP); 
   
   -- ALTA D'UNA SEGONA REGLA NO ACTIVA PEL MATEIX SERVEI WEB (HA DE DEIXAR)   
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGLA: ALTA DUNA SEGONA REGLA NO ACTIVA PEL MATEIX SERVEI WEB (HA DE DEIXAR)');  
   PKG_REGLA.SP_ALTA_REGLA(TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 1, 'REGLA 2 SERVEI WEB 1', 86400, 'D', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);   
   
   --MODIFICACIO D'UNA REGLA AMB ALGUN PARAMETRE D'ENTRADA A NUL
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGLA: MODIFICACIO DUNA REGLA AMB ALGUN PARAMETRE DENTRADA A NUL');  
   PKG_REGLA.SP_MODIFICA_REGLA(NULL, TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 1, 'REGLA 1 SERVEI WEB 1', 86400, 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_REGLA.SP_MODIFICA_REGLA(1, NULL, 1, 'REGLA 1 SERVEI WEB 1', 86400, 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_REGLA.SP_MODIFICA_REGLA(1, TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), NULL, 'REGLA 1 SERVEI WEB 1', 86400, 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_REGLA.SP_MODIFICA_REGLA(1, TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 1, NULL, 86400, 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_REGLA.SP_MODIFICA_REGLA(1, TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 1, 'REGLA 1 SERVEI WEB 1', NULL, 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_REGLA.SP_MODIFICA_REGLA(1, TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 1, 'REGLA 1 SERVEI WEB 1', 86400, NULL, TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_REGLA.SP_MODIFICA_REGLA(1, TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 1, 'REGLA 1 SERVEI WEB 1', 86400, 'A', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);

   --MODIFICACIO D'UNA REGLA AMB UN IDENFICADOR INEXISTENT.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGLA: MODIFICACIO DUNA REGLA AMB UN IDENFICADOR INEXISTENT');  
   PKG_REGLA.SP_MODIFICA_REGLA(50, TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 1, 'REGLA 10 SERVEI WEB 1', 86400, 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);

   --MODIFICACIO D'UNA REGLA AMB UN SERVEI WEB INEXISTENT.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGLA: MODIFICACIO DUNA REGLA INDICANT UN SERVEI WEB INEXISTENT');  
   PKG_REGLA.SP_MODIFICA_REGLA(1, TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 50, 'REGLA 10 SERVEI WEB 50', 86400, 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);

   --MODIFICACIO D'UNA REGLA AMB UNA CLAU QUE JA PERTANY A UN ALTRE REGLA.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGLA: MODIFICACIO DUNA REGLA AMB UNA CLAU QUE JA PERTANY A UN ALTRE REGLA');  
   PKG_REGLA.SP_MODIFICA_REGLA(1, TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 2, 'REGLA 1 SERVEI WEB 2', 86400, 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   
   -- MODIFICACIO D'UNA REGLA ACTIVA PEL MATEIX SERVEI WEB (NO HA DE DEIXAR)   
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGLA: MODIFICACIO DUNA REGLA ACTIVA PEL MATEIX SERVEI WEB (NO HA DE DEIXAR)');  
   PKG_REGLA.SP_MODIFICA_REGLA(12, TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 1, 'REGLA 3 SERVEI WEB 1', 86400, 'A', TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);   

   --BAIXA D'UNA REGLA AMB ALGUN PARAMETRE D'ENTRADA A NUL.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGLA: BAIXA DUNA REGLA AMB ALGUN PARAMETRE DENTRADA A NUL');  
   PKG_REGLA.SP_BAIXA_REGLA(NULL, TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP); 

   PKG_REGLA.SP_BAIXA_REGLA(1, NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);   
   
   --BAIXA D'UNA REGLA AMB UN IDENFICADOR INEXISTENT.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGLA: BAIXA DUNA REGLA AMB UN IDENFICADOR INEXISTENT');  
   PKG_REGLA.SP_BAIXA_REGLA(20, TO_DATE('01/05/2016 10:20:30'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   
   --BAIXA D'UNA REGLA JA DONADA DE BAIXA.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGLA: BAIXA DUNA REGLA JA DONADA DE BAIXA');  
   -- Per poder realitzar la prova, donem de baixa previament la regla.
   PKG_REGLA.SP_MODIFICA_REGLA(10, TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 10, 'REGLA 1 SERVEI WEB 10', 86400, 'B', TO_DATE('01/05/2016 10:40:55', 'DD/MM/YYYY HH24:MI:SS'), RSP);

   PKG_REGLA.SP_BAIXA_REGLA(10, TO_DATE('01/05/2016 10:40:57', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);   
   
   -- La tornem a deixar en estat actiu.
   PKG_REGLA.SP_MODIFICA_REGLA(10, TO_DATE('01/05/2016 10:20:30', 'DD/MM/YYYY HH24:MI:SS'), 10, 'REGLA 1 SERVEI WEB 10', 86400, 'A', TO_DATE('01/05/2016 10:40:59', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   
   --BAIXA CORRECTA D'UNA REGLA.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGLA: BAIXA CORRECTA DUNA REGLA');  
   PKG_REGLA.SP_BAIXA_REGLA(9, TO_DATE('01/05/2016 10:40:55', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);   
END;
/   

--------------------------------------------------------------------------------------------
-- Taula PAS
--------------------------------------------------------------------------------------------

DECLARE
   RSP 			VARCHAR2(2000);
BEGIN

   --ALTA D'UN NOU PAS AMB ALGUN PARAMETRE D'ENTRADA A NUL
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_PAS: ALTA DUN NOU PAS AMB ALGUN PARAMETRE DENTRADA A NUL');  
   PKG_PAS.SP_ALTA_PAS(NULL, 3, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 3 REGLA 10', 'https://www.servei_web_1.edu/pas 3 regla 10', 6, 'https://www.servei_web_1.edu/peticio pas 3 regla 10', 'resposta peticio pas 3 regla 10', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_ALTA_PAS(10, NULL, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 3 REGLA 10', 'https://www.servei_web_1.edu/pas 3 regla 10', 6, 'https://www.servei_web_1.edu/peticio pas 3 regla 10', 'resposta peticio pas 3 regla 10', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_ALTA_PAS(10, 3, NULL, 'PAS 3 REGLA 10', 'https://www.servei_web_1.edu/pas 3 regla 10', 6, 'https://www.servei_web_1.edu/peticio pas 3 regla 10', 'resposta peticio pas 3 regla 10', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_ALTA_PAS(10, 3, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), NULL, 'https://www.servei_web_1.edu/pas 3 regla 10', 6, 'https://www.servei_web_1.edu/peticio pas 3 regla 10', 'resposta peticio pas 3 regla 10', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_ALTA_PAS(10, 3, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 3 REGLA 10', NULL, 6, 'https://www.servei_web_1.edu/peticio pas 3 regla 10', 'resposta peticio pas 3 regla 10', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_ALTA_PAS(10, 3, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 3 REGLA 10', 'https://www.servei_web_1.edu/pas 3 regla 10', NULL, 'https://www.servei_web_1.edu/peticio pas 3 regla 10', 'resposta peticio pas 3 regla 10', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_ALTA_PAS(10, 3, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 3 REGLA 10', 'https://www.servei_web_1.edu/pas 3 regla 10', 6, NULL, 'resposta peticio pas 3 regla 10', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_ALTA_PAS(10, 3, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 3 REGLA 10', 'https://www.servei_web_1.edu/pas 3 regla 10', 6, 'https://www.servei_web_1.edu/peticio pas 3 regla 10', NULL, 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_ALTA_PAS(10, 3, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 3 REGLA 10', 'https://www.servei_web_1.edu/pas 3 regla 10', 6, 'https://www.servei_web_1.edu/peticio pas 3 regla 10', 'resposta peticio pas 3 regla 10', NULL, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_ALTA_PAS(10, 3, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 3 REGLA 10', 'https://www.servei_web_1.edu/pas 3 regla 10', 6, 'https://www.servei_web_1.edu/peticio pas 3 regla 10', 'resposta peticio pas 3 regla 10', 'A', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);

   --ALTA D'UN PAS DUPLICAT
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_PAS: ALTA DUN PAS DUPLICAT');  
   PKG_PAS.SP_ALTA_PAS(10, 2, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 2 REGLA 10', 'https://www.servei_web_1.edu/pas 2 regla 10', 6, 'https://www.servei_web_1.edu/peticio pas 2 regla 10', 'resposta peticio pas 2 regla 10', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   
   --ALTA D'UN PAS INDICANT UNA REGLA INEXISTENT.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_PAS: ALTA DUN PAS INDICANT UNA REGLA INEXISTENT');  
   PKG_PAS.SP_ALTA_PAS(20, 1, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 1 REGLA 20', 'https://www.servei_web_1.edu/pas 1 regla 20', 6, 'https://www.servei_web_1.edu/peticio pas 1 regla 20', 'resposta peticio pas 1 regla 20', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   
   --ALTA D'UN PAS INDICANT UN ESTAT NO VALID
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_PAS: ALTA DUN PAS INDICANT UN ESTAT NO VALID');  
   PKG_PAS.SP_ALTA_PAS(10, 3, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 3 REGLA 10', 'https://www.servei_web_1.edu/pas 3 regla 10', 6, 'https://www.servei_web_1.edu/peticio pas 3 regla 10', 'resposta peticio pas 3 regla 10', 'N', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   
   --MODIFICACIO D'UN PAS AMB ALGUN PARAMETRE D'ENTRADA A NUL
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_PAS: MODIFICACIO DUN PAS AMB ALGUN PARAMETRE DENTRADA A NUL');  
   PKG_PAS.SP_MODIFICA_PAS(NULL, 10, 2, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 2 REGLA 10', 'https://www.servei_web_1.edu/pas 2 regla 10', 6, 'https://www.servei_web_1.edu/peticio pas 2 regla 10', 'resposta peticio pas 2 regla 10', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_MODIFICA_PAS(20, NULL, 2, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 2 REGLA 10', 'https://www.servei_web_1.edu/pas 2 regla 10', 6, 'https://www.servei_web_1.edu/peticio pas 2 regla 10', 'resposta peticio pas 2 regla 10', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_MODIFICA_PAS(20, 10, NULL, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 2 REGLA 10', 'https://www.servei_web_1.edu/pas 2 regla 10', 6, 'https://www.servei_web_1.edu/peticio pas 2 regla 10', 'resposta peticio pas 2 regla 10', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_MODIFICA_PAS(20, 10, 2, NULL, 'PAS 2 REGLA 10', 'https://www.servei_web_1.edu/pas 2 regla 10', 6, 'https://www.servei_web_1.edu/peticio pas 2 regla 10', 'resposta peticio pas 2 regla 10', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_MODIFICA_PAS(20, 10, 2, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), NULL, 'https://www.servei_web_1.edu/pas 2 regla 10', 6, 'https://www.servei_web_1.edu/peticio pas 2 regla 10', 'resposta peticio pas 2 regla 10', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_MODIFICA_PAS(20, 10, 2, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 2 REGLA 10', NULL, 6, 'https://www.servei_web_1.edu/peticio pas 2 regla 10', 'resposta peticio pas 2 regla 10', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_MODIFICA_PAS(20, 10, 2, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 2 REGLA 10', 'https://www.servei_web_1.edu/pas 2 regla 10', NULL, 'https://www.servei_web_1.edu/peticio pas 2 regla 10', 'resposta peticio pas 2 regla 10', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_MODIFICA_PAS(20, 10, 2, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 2 REGLA 10', 'https://www.servei_web_1.edu/pas 2 regla 10', 6, NULL, 'resposta peticio pas 2 regla 10', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_MODIFICA_PAS(20, 10, 2, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 2 REGLA 10', 'https://www.servei_web_1.edu/pas 2 regla 10', 6, 'https://www.servei_web_1.edu/peticio pas 2 regla 10', NULL, 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_MODIFICA_PAS(20, 10, 2, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 2 REGLA 10', 'https://www.servei_web_1.edu/pas 2 regla 10', 6, 'https://www.servei_web_1.edu/peticio pas 2 regla 10', 'resposta peticio pas 2 regla 10', NULL, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_PAS.SP_MODIFICA_PAS(20, 10, 2, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 2 REGLA 10', 'https://www.servei_web_1.edu/pas 2 regla 10', 6, 'https://www.servei_web_1.edu/peticio pas 2 regla 10', 'resposta peticio pas 2 regla 10', 'A', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);

   --MODIFICACIO D'UN PAS AMB UN IDENFICADOR INEXISTENT.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_PAS: MODIFICACIO DUN PAS AMB UN IDENFICADOR INEXISTENT');  
   PKG_PAS.SP_MODIFICA_PAS(50, 10, 2, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 2 REGLA 10', 'https://www.servei_web_1.edu/pas 2 regla 10', 6, 'https://www.servei_web_1.edu/peticio pas 2 regla 10', 'resposta peticio pas 2 regla 10', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);

   --MODIFICACIO D'UN PAS AMB UNA REGLA INEXISTENT.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_PAS: MODIFICACIO DUN PAS AMB UNA REGLA INEXISTENT');  
   PKG_PAS.SP_MODIFICA_PAS(20, 20, 2, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 2 REGLA 10', 'https://www.servei_web_1.edu/pas 2 regla 10', 6, 'https://www.servei_web_1.edu/peticio pas 2 regla 10', 'resposta peticio pas 2 regla 10', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);

   --MODIFICACIO D'UN PAS AMB UNA CLAU QUE JA PERTANY A UN ALTRE PAS.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_PAS: MODIFICACIO DUN PAS AMB UNA CLAU QUE JA PERTANY A UN ALTRE PAS');  
   PKG_PAS.SP_MODIFICA_PAS(20, 1, 1, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 2 REGLA 10', 'https://www.servei_web_1.edu/pas 2 regla 10', 6, 'https://www.servei_web_1.edu/peticio pas 2 regla 10', 'resposta peticio pas 2 regla 10', 'A', TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   
   --BAIXA D'UN PAS AMB ALGUN PARAMETRE D'ENTRADA A NUL.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_PAS: BAIXA DUN PAS AMB ALGUN PARAMETRE DENTRADA A NUL');  
   PKG_PAS.SP_BAIXA_PAS(NULL, TO_DATE('01/05/2016 10:50:57', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);    
   
   PKG_PAS.SP_BAIXA_PAS(20, NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);    
   
   --BAIXA D'UN PAS AMB UN IDENFICADOR INEXISTENT.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_PAS: BAIXA DUN PAS AMB UN IDENFICADOR INEXISTENT');  
   PKG_PAS.SP_BAIXA_PAS(50, TO_DATE('01/05/2016 10:50:57', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
      
   --BAIXA D'UN PAS JA DONAT DE BAIXA.
   -- Per poder realitzar la prova, donem de baixa previament el pas.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_PAS: BAIXA DUN PAS JA DONAT DE BAIXA');  
   PKG_PAS.SP_MODIFICA_PAS(20, 10, 2, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 2 REGLA 10', 'https://www.servei_web_1.edu/pas 2 regla 10', 6, 'https://www.servei_web_1.edu/peticio pas 2 regla 10', 'resposta peticio pas 2 regla 10', 'B', TO_DATE('01/05/2016 10:50:57', 'DD/MM/YYYY HH24:MI:SS'), RSP);

   PKG_PAS.SP_BAIXA_PAS(20, TO_DATE('01/05/2016 10:50:57', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);  
   
   -- El tornem a deixar en estat actiu.
   PKG_PAS.SP_MODIFICA_PAS(20, 10, 2, TO_DATE('01/05/2016 10:30:40', 'DD/MM/YYYY HH24:MI:SS'), 'PAS 2 REGLA 10', 'https://www.servei_web_1.edu/pas 2 regla 10', 6, 'https://www.servei_web_1.edu/peticio pas 2 regla 10', 'resposta peticio pas 2 regla 10', 'A', TO_DATE('01/05/2016 10:50:59', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   
   --BAIXA CORRECTA D'UN PAS.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_PAS: BAIXA CORRECTA DUN PAS');  
   PKG_PAS.SP_BAIXA_PAS(19, TO_DATE('01/05/2016 10:40:55', 'DD/MM/YYYY HH24:MI:SS'), RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);    
   
END;
/

--------------------------------------------------------------------------------------------
-- Taula REGISTRE
--------------------------------------------------------------------------------------------

DECLARE
   RSP 			VARCHAR2(2000);
   V_ID_REGISTRE  NUMBER;
BEGIN

   --ALTA D'UN NOU REGISTRE AMB ALGUN PARAMETRE D'ENTRADA A NUL
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGISTRE: ALTA DUN NOU REGISTRE AMB ALGUN PARAMETRE DENTRADA A NUL');  
   PKG_REGISTRE.SP_ALTA_REGISTRE(NULL, 9, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), RSP, V_ID_REGISTRE);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP||', ID REGISTRE CREAT: '||V_ID_REGISTRE);
   PKG_REGISTRE.SP_ALTA_REGISTRE(8, NULL, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), RSP, V_ID_REGISTRE);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP||', ID REGISTRE CREAT: '||V_ID_REGISTRE);

   --ALTA D'UN NOU REGISTRE DUPLICAT
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGISTRE: ALTA DUN NOU REGISTRE DUPLICAT');  
   PKG_REGISTRE.SP_ALTA_REGISTRE(8, 8, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), RSP, V_ID_REGISTRE);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP||', ID REGISTRE CREAT: '||V_ID_REGISTRE);
   
   --ALTA D'UN NOU REGISTRE INDICANT UN SERVEI WEB INEXISTENT.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGISTRE: ALTA DUN NOU REGISTRE INDICANT UN SERVEI WEB INEXISTENT');  
   PKG_REGISTRE.SP_ALTA_REGISTRE(20, 8, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), RSP, V_ID_REGISTRE);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP||', ID REGISTRE CREAT: '||V_ID_REGISTRE);   
   
   --ALTA D'UN NOU REGISTRE INDICANT UNA REGLA INEXISTENT.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGISTRE: ALTA DUN NOU REGISTRE INDICANT UNA REGLA INEXISTENT');  
   PKG_REGISTRE.SP_ALTA_REGISTRE(7, 20, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), RSP, V_ID_REGISTRE);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP||', ID REGISTRE CREAT: '||V_ID_REGISTRE);
   
   --ALTA D'UN NOU REGISTRE INDICANT UNA REGLA NO ACTIVA.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGISTRE: ALTA DUN NOU REGISTRE INDICANT UNA REGLA NO ACTIVA');  
   PKG_REGISTRE.SP_ALTA_REGISTRE(8, 9, TO_DATE('02/05/2016 00:00:02', 'DD/MM/YYYY HH24:MI:SS'), RSP, V_ID_REGISTRE);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP||', ID REGISTRE CREAT: '||V_ID_REGISTRE);
   
   --MODIFICACIO D'UN REGISTRE AMB ALGUN PARAMETRE D'ENTRADA A NUL
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGISTRE: MODIFICACIO DUN REGISTRE AMB ALGUN PARAMETRE DENTRADA A NUL');  
   PKG_REGISTRE.SP_MODIFICA_REGISTRE(NULL, TO_DATE('02/05/2016 00:00:30', 'DD/MM/YYYY HH24:MI:SS'), 1, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_REGISTRE.SP_MODIFICA_REGISTRE(1, TO_DATE('02/05/2016 00:00:30', 'DD/MM/YYYY HH24:MI:SS'), NULL, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_REGISTRE.SP_MODIFICA_REGISTRE(1, TO_DATE('02/05/2016 00:00:30', 'DD/MM/YYYY HH24:MI:SS'), NULL, 'N', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_REGISTRE.SP_MODIFICA_REGISTRE(1, TO_DATE('02/05/2016 00:00:30', 'DD/MM/YYYY HH24:MI:SS'), 1, NULL, NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);

   --MODIFICACIO D'UN REGISTRE EN ESTAT DISPONIBLE PERO AMB CODI D'ERROR INFORMAT.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGISTRE: MODIFICACIO DUN REGISTRE EN ESTAT DISPONIBLE PERO AMB CODI DERROR INFORMAT');  
   PKG_REGISTRE.SP_MODIFICA_REGISTRE(1, TO_DATE('02/05/2016 00:00:31', 'DD/MM/YYYY HH24:MI:SS'), 2, 'S', '001', RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);

   --MODIFICACIO D'UN REGISTRE AMB UN IDENFICADOR INEXISTENT.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGISTRE: MODIFICACIO DUN REGISTRE AMB UN IDENFICADOR INEXISTENT');  
   PKG_REGISTRE.SP_MODIFICA_REGISTRE(20, TO_DATE('02/05/2016 00:00:30', 'DD/MM/YYYY HH24:MI:SS'), 1, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   
   --MODIFICACIO D'UN REGISTRE AMB UN PAS INEXISTENT.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGISTRE: MODIFICACIO DUN REGISTRE AMB UN PAS INEXISTENT');  
   PKG_REGISTRE.SP_MODIFICA_REGISTRE(1, TO_DATE('02/05/2016 00:00:30', 'DD/MM/YYYY HH24:MI:SS'), 50, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);   

   --MODIFICACIO D'UN REGISTRE AMB UN PAS QUE NO PERTANY A LA REGLA DEL REGISTRE.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGISTRE: MODIFICACIO DUN REGISTRE AMB UN PAS QUE NO PERTANY A LA REGLA DEL REGISTRE');  
   PKG_REGISTRE.SP_MODIFICA_REGISTRE(1, TO_DATE('02/05/2016 00:00:30', 'DD/MM/YYYY HH24:MI:SS'), 15, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);   

   --MODIFICACIO D'UN REGISTRE AMB UNA DATA FI INFERIOR A LA DATA INICI.
   -- Per fer la prova, donem d'alta un nou registre.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGISTRE: MODIFICACIO DUN REGISTRE AMB UNA DATA FI INFERIOR A LA DATA INICI');  
   PKG_REGISTRE.SP_ALTA_REGISTRE(1, 1, TO_DATE('15/11/2015 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), RSP, V_ID_REGISTRE);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP||', ID REGISTRE CREAT: '||V_ID_REGISTRE);

   PKG_REGISTRE.SP_MODIFICA_REGISTRE(V_ID_REGISTRE, TO_DATE('01/11/2015 00:00:30', 'DD/MM/YYYY HH24:MI:SS'), 1, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   
   --MODIFICACIO D'UN REGISTRE AMB UN INDICADOR DE DISPONIBLE INCORRECTE.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGISTRE: MODIFICACIO DUN REGISTRE AMB UN INDICADOR DE DISPONIBLE INCORRECTE');  
   PKG_REGISTRE.SP_MODIFICA_REGISTRE(V_ID_REGISTRE, TO_DATE('20/11/2015 00:00:30', 'DD/MM/YYYY HH24:MI:SS'), 1, 'X', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);   

   --NO ES POT MODIFICAR UN REGISTRE JA ACTUALIZAT.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGISTRE: MODIFICACIO DUN REGISTRE JA ACTUALIZAT (NO ES POT)');  
   PKG_REGISTRE.SP_MODIFICA_REGISTRE(1, TO_DATE('02/05/2016 00:00:31', 'DD/MM/YYYY HH24:MI:SS'), 2, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP); 

   --BAIXA D'UN REGISTRE AMB ALGUN PARAMETRE D'ENTRADA A NUL.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGISTRE: BAIXA DUN REGISTRE AMB ALGUN PARAMETRE DENTRADA A NUL');  
   PKG_REGISTRE.SP_BAIXA_REGISTRE(NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);    
   
   --BAIXA D'UN REGISTRE AMB UN IDENFICADOR INEXISTENT.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGISTRE: BAIXA DUN REGISTRE AMB UN IDENFICADOR INEXISTENT');  
   PKG_REGISTRE.SP_BAIXA_REGISTRE(50, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
      
   --BAIXA D'UN REGISTRE DE L'ANY ACTUAL (NO ES PERMET).
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGISTRE: BAIXA DUN REGISTRE DE LANY ACTUAL (NO ES PERMET)');  
   PKG_REGISTRE.SP_BAIXA_REGISTRE(8, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);   
   
   --BAIXA CORRECTA D'UN REGISTRE D'UN ANY ANTERIOR.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_REGISTRE: BAIXA CORRECTA DUN REGISTRE DUN ANY ANTERIOR');  
   PKG_REGISTRE.SP_BAIXA_REGISTRE(V_ID_REGISTRE, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);    
  
END;
/

--------------------------------------------------------------------------------------------
-- Taula LINIA_REGISTRE
--------------------------------------------------------------------------------------------

DECLARE
   RSP 			VARCHAR2(2000);
BEGIN

   --ALTA D'UNA NOVA LINIA_REGISTRE AMB ALGUN PARAMETRE D'ENTRADA A NUL
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_LINIA_REGISTRE: ALTA DUNA NOVA LINIA DE REGISTRE AMB ALGUN PARAMETRE DENTRADA A NUL');  
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(NULL, 1, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), TO_DATE('02/05/2016 00:00:21', 'DD/MM/YYYY HH24:MI:SS'), 20000, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(1, NULL, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), TO_DATE('02/05/2016 00:00:21', 'DD/MM/YYYY HH24:MI:SS'), 20000, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(1, 1, NULL, TO_DATE('02/05/2016 00:00:21', 'DD/MM/YYYY HH24:MI:SS'), 20000, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);   
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(1, 1, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), NULL, 20000, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(1, 1, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), TO_DATE('02/05/2016 00:00:21', 'DD/MM/YYYY HH24:MI:SS'), NULL, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(1, 1, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), TO_DATE('02/05/2016 00:00:21', 'DD/MM/YYYY HH24:MI:SS'), 20000, NULL, NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(1, 1, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), TO_DATE('02/05/2016 00:00:21', 'DD/MM/YYYY HH24:MI:SS'), 20000, 'N', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);  
   
   --ALTA D'UNA LINIA_REGISTRE EN ESTAT DISPONIBLE PERO AMB CODI D'ERROR INFORMAT.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_LINIA_REGISTRE: ALTA DUNA NOVA LINIA DE REGISTRE EN ESTAT DISPONIBLE PERO AMB CODI DERROR INFORMAT');  
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(8, 3, TO_DATE('15/05/2015 00:00:22', 'DD/MM/YYYY HH24:MI:SS'), TO_DATE('15/05/2015 00:00:31', 'DD/MM/YYYY HH24:MI:SS'), 20000, 'S', '001', RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);     
      
   --ALTA D'UNA LINIA_REGISTRE DUPLICAT
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_LINIA_REGISTRE: ALTA DUNA LINIA DE REGISTRE DUPLICADA');  
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(2, 3, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), TO_DATE('02/05/2016 00:00:21', 'DD/MM/YYYY HH24:MI:SS'), 20000, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   
   --ALTA D'UNA LINIA_REGISTRE INDICANT UN REGISTRE INEXISTENT.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_LINIA_REGISTRE: ALTA DUNA LINIA DE REGISTRE INDICANT UN REGISTRE INEXISTENT');  
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(11, 1, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), TO_DATE('02/05/2016 00:00:21', 'DD/MM/YYYY HH24:MI:SS'), 20000, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);   
   
   --ALTA D'UNA LINIA_REGISTRE INDICANT UN PAS INEXISTENT.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_LINIA_REGISTRE: ALTA DUNA NOVA LINIA DE REGISTRE INDICANT UN PAS INEXISTENT');  
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(8, 50, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), TO_DATE('02/05/2016 00:00:21', 'DD/MM/YYYY HH24:MI:SS'), 20000, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
   
   --ALTA D'UNA LINIA_REGISTRE INDICANT UN PAS NO ASSOCIAT A LA REGLA DEL REGISTRE.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_LINIA_REGISTRE: ALTA DUNA NOVA LINIA DE REGISTRE INDICANT UN PAS NO ASSOCIAT A LA REGLA DEL REGISTRE');  
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(1, 6, TO_DATE('02/05/2016 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), TO_DATE('02/05/2016 00:00:21', 'DD/MM/YYYY HH24:MI:SS'), 20000, 'S', NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
      
   --BAIXA D'UN LINIA_REGISTRE AMB ALGUN PARAMETRE D'ENTRADA A NUL.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_LINIA_REGISTRE: BAIXA DUNA LINIA DE REGISTRE AMB ALGUN PARAMETRE DENTRADA A NUL');  
   PKG_LINIA_REGISTRE.SP_BAIXA_LINIA_REGISTRE(NULL, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);    
   
   --BAIXA D'UN LINIA_REGISTRE AMB UN IDENFICADOR INEXISTENT.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_LINIA_REGISTRE: BAIXA DUNA LINIA DE REGISTRE AMB UN IDENFICADOR INEXISTENT');  
   PKG_LINIA_REGISTRE.SP_BAIXA_LINIA_REGISTRE(50, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);
      
   --BAIXA D'UN LINIA_REGISTRE DE L'ANY ACTUAL (NO ES PERMET).
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_LINIA_REGISTRE: BAIXA DUNA LINIA DE REGISTRE DE LANY ACTUAL (NO ES PERMET)');  
   PKG_LINIA_REGISTRE.SP_BAIXA_LINIA_REGISTRE(8, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);   
   
   --BAIXA CORRECTA D'UN LINIA_REGISTRE.
   DBMS_OUTPUT.PUT_LINE('PROVES ABM PKG_LINIA_REGISTRE: BAIXA CORRECTA DUNA LINIA DE REGISTRE');  
   -- Per fer la prova, donem d'alta un nou registre.
   PKG_LINIA_REGISTRE.SP_ALTA_LINIA_REGISTRE(1, 1, TO_DATE('30/12/2015 00:00:01', 'DD/MM/YYYY HH24:MI:SS'), TO_DATE('30/12/2015 00:00:21', 'DD/MM/YYYY HH24:MI:SS'), 20000, 'S', NULL, RSP);

   PKG_LINIA_REGISTRE.SP_BAIXA_LINIA_REGISTRE(21, RSP);
   DBMS_OUTPUT.PUT_LINE('RSP: '||RSP);    
   
END;
/

spool off;



